# RubberFileSystem Class Reference
[Application-wide cache subsystem]

Simple filesystem cache. More...

Inheritance diagram for RubberFileSystem:
[legend]

List of all members.

## Public Member Functions

| __construct ($directory= 'cache/')
| isAlive ()
| clean ()
| increment ($key, $value)
| decrement ($key, $value)
| get ($key)
| delete ($key)
| append ($key, $data)

## Static Public Member Functions

static | create ($directory= 'cache/')

## Protected Member Functions

| store ($action, $key, $value, $expires=0)

## Private Member Functions

| operate ($path, $value=null, $expires=null)
| makePath ($key)

## Private Attributes

| $directory = null

## Detailed Description

Simple filesystem cache.

Definition at line 17 of file RubberFileSystem.class.php.

## Constructor & Destructor Documentation

RubberFileSystem::__construct | ( | $ | directory = `'cache/'` | ) |

Definition at line 29 of file RubberFileSystem.class.php.

References $directory.

## Member Function Documentation

RubberFileSystem::append | ( | $ | key,
|  | $ | data |
| ) |  |  |

Reimplemented from CachePeer.

Definition at line 124 of file RubberFileSystem.class.php.

References $directory, and makePath().

Here is the call graph for this function:

RubberFileSystem::clean | ( |  | ) |

Returns:
  RubberFileSystem

Reimplemented from CachePeer.

Definition at line 58 of file RubberFileSystem.class.php.

References FileUtils::removeDirectory().

Here is the call graph for this function:

static RubberFileSystem::create | ( | $ | directory = `'cache/'` | ) | `[static]`

Returns:
  RubberFileSystem

Examples:
  cacheSettings.php.

Definition at line 24 of file RubberFileSystem.class.php.

References $directory.

RubberFileSystem::decrement | ( | $ | key,
|  | $ | value |
| ) |  |  |

Reimplemented from CachePeer.

Definition at line 79 of file RubberFileSystem.class.php.

References makePath(), and operate().

Here is the call graph for this function:

RubberFileSystem::delete | ( | $ | key | ) |

Reimplemented from CachePeer.

Definition at line 113 of file RubberFileSystem.class.php.

References makePath().

Here is the call graph for this function:

RubberFileSystem::get | ( | $ | key | ) |

Reimplemented from CachePeer.

Definition at line 92 of file RubberFileSystem.class.php.

References makePath(), and operate().

Here is the call graph for this function:

RubberFileSystem::increment | ( | $ | key,
|  | $ | value |
| ) |  |  |

Reimplemented from CachePeer.

Definition at line 66 of file RubberFileSystem.class.php.

References makePath(), and operate().

Here is the call graph for this function:

RubberFileSystem::isAlive | ( |  | ) |

Reimplemented from CachePeer.

Definition at line 47 of file RubberFileSystem.class.php.

RubberFileSystem::makePath | ( | $ | key | ) | `[private]`

Definition at line 241 of file RubberFileSystem.class.php.

Referenced by append(), decrement(), delete(), get(), increment(), and store().

RubberFileSystem::operate | ( | $ | path,
|  | $ | value = `null`,
|  | $ | expires = `null` |
| ) |  |  | `[private]`

Definition at line 193 of file RubberFileSystem.class.php.

References Assert::isUnreachable(), SemaphorePool::me(), CachePeer::prepareData(), and CachePeer::restoreData().

Referenced by decrement(), get(), increment(), and store().

Here is the call graph for this function:

RubberFileSystem::store | ( | $ | action,
|  | $ | key,
|  | $ | value,
|  | $ | expires = `0` |
| ) |  |  | `[protected]`

Reimplemented from CachePeer.

Definition at line 154 of file RubberFileSystem.class.php.

References $directory, makePath(), and operate().

Here is the call graph for this function:

## Member Data Documentation

RubberFileSystem::$directory = null`[private]`

Definition at line 19 of file RubberFileSystem.class.php.

Referenced by __construct(), append(), create(), and store().

The documentation for this class was generated from the following file:

- core/Cache/RubberFileSystem.class.php